Установки, обновления и удаления всегда терпят неудачу. Но работа после перезагрузки

Всякий раз, когда я устанавливаю, обновляю или удаляю что-то, происходит сбой, и я получаю сообщение, похожее на то, что ниже. После перезапуска все работает нормально.

Я только что установил некоторые обновления с помощью диспетчера обновлений, и вот подробности, показанные в окне «Сбой операции пакета».

installArchives() failed: (Reading database ... 

[...]

run-parts: executing /etc/kernel/postinst.d/zz-update-grub 2.6.35-23-generic /boot/vmlinuz-2.6.35-23-generic
exec: 15: update-grub: not found
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 2
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-2.6.35-23-generic.postinst line 1010.
dpkg: error processing linux-image-2.6.35-23-generic (--configure):
 subprocess installed post-installation script returned error exit status 2

См. Полный журнал здесь .

Как я могу остановить это?

2
задан 31.10.2019, 16:48

3 ответа

Это отмеченная ошибка .

Похоже, ваше ядро ​​не работает. В меню grub при загрузке выберите предыдущее ядро ​​(если у вас есть возможность выбрать, какое ядро ​​вы используете). Пример, если вы используете 2.6.35-23, попробуйте использовать 2.6.35-22. Когда он загрузится в Ubuntu, используя это предыдущее ядро, попробуйте снова установить пакеты. Если это работает без каких-либо ошибок, вы можете смело знать, что ваше текущее ядро ​​сломано. Вариант будет просто ядро, которое работает. Если это сработает, вам придется изменить список grub2 для автоматической загрузки предыдущего ядра. (Если вам нужно знать, как это сделать, просто дайте мне знать или поищите на AskUbuntu.com).

Если вы не хотите использовать другое ядро, попробуйте обновить текущее ядро, следуя этому руководству .

0
ответ дан 31.10.2019, 16:48

Похоже, что update-grub был удален. Вы помните, удалив его? Попробуйте sudo apt-get install --reinstall grub-pc. Тогда посмотрите, работает ли apt немного лучше.

0
ответ дан 31.10.2019, 16:49

У вас установлен бург? Я предполагаю, что вы, скорее всего, делаете. Если вы это сделаете, запустите:

sudo ln -s /usr/bin/update-burg /usr/bin/update-grub

в терминале, или вы можете попробовать заменить:

update-grub

на [119 ]

update-burg

в

/etc/kernel/postinst.d/zz-update-grub

, запустив:

gksu gedit /etc/kernel/postinst.d/zz-update-grub

в вашем < диалог kbd> alt + f2 .

0
ответ дан 31.10.2019, 16:49

Теги

Похожие вопросы